Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.execution.repository.snapshot
Class SnapshotCreationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.webflow.core.FlowException
                      org.springframework.webflow.execution.repository.FlowExecutionRepositoryException
                          org.springframework.webflow.execution.repository.snapshot.SnapshotCreationException

All Implemented Interfaces:
  java.io.Serializable

    public class SnapshotCreationException

extends FlowExecutionRepositoryException

Thrown when a continuation snapshot could not be taken of flow execution state.

Author:
  Keith Donald
See Also:
  Serialized Form

Constructor Summary
`SnapshotCreationException(FlowExecution flowExecution, java.lang.String message, java.lang.Throwable cause)` Creates a new snapshot creation exception.

Method Summary
`FlowExecution` | `getFlowExecution()` Returns the flow execution that could not be snapshotted.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SnapshotCreationException

    public SnapshotCreationException(FlowExecution flowExecution,
                                     java.lang.String message,
                                     java.lang.Throwable cause)

  Creates a new snapshot creation exception.

  Parameters:
    `flowExecution` - the flow execution
    `message` - a descriptive message
    `cause` - the cause

Method Detail

### getFlowExecution

    public FlowExecution getFlowExecution()

  Returns the flow execution that could not be snapshotted.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD